Loading...
Searching...
No Matches
casacore::MSObservationColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSObsColumns.h>`

## Public Member Functions

| MSObservationColumns (const MSObservation &msObservation)
| Create a columns object that accesses the data in the specified Table.
| ~MSObservationColumns ()
| The desctructor does nothing special.
ScalarColumn< Bool > & | flagRow ()
| Access to required columns.
ArrayColumn< String > & | log ()
ScalarColumn< String > & | observer ()
ScalarColumn< String > & | project ()
ScalarColumn< Double > & | releaseDate ()
ScalarQuantColumn< Double > & | releaseDateQuant ()
ScalarMeasColumn< MEpoch > & | releaseDateMeas ()
ArrayColumn< String > & | schedule ()
ScalarColumn< String > & | scheduleType ()
ScalarColumn< String > & | telescopeName ()
ArrayColumn< Double > & | timeRange ()
ArrayQuantColumn< Double > & | timeRangeQuant ()
ArrayMeasColumn< MEpoch > & | timeRangeMeas ()
const ScalarColumn< Bool > & | flagRow () const
| Const access to required columns.
const ArrayColumn< String > & | log () const
const ScalarColumn< String > & | observer () const
const ScalarColumn< String > & | project () const
const ScalarColumn< Double > & | releaseDate () const
const ScalarQuantColumn< Double > & | releaseDateQuant () const
const ScalarMeasColumn< MEpoch > & | releaseDateMeas () const
const ArrayColumn< String > & | schedule () const
const ScalarColumn< String > & | scheduleType () const
const ScalarColumn< String > & | telescopeName () const
const ArrayColumn< Double > & | timeRange () const
const ArrayQuantColumn< Double > & | timeRangeQuant () const
const ArrayMeasColumn< MEpoch > & | timeRangeMeas () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME_RANGE & RELEASE_DATE columns.

## Protected Member Functions

| MSObservationColumns ()
void | attach (const MSObservation &msObservation)

## Private Member Functions

| MSObservationColumns (const MSObservationColumns &)
MSObservationColumns & | operator= (const MSObservationColumns &)

## Private Attributes

ScalarColumn< Bool > | flagRow_p
ArrayColumn< String > | log_p
ScalarColumn< String > | observer_p
ScalarColumn< String > | project_p
ScalarColumn< Double > | releaseDate_p
ArrayColumn< String > | schedule_p
ScalarColumn< String > | scheduleType_p
ScalarColumn< String > | telescopeName_p
ArrayColumn< Double > | timeRange_p
ScalarMeasColumn< MEpoch > | releaseDateMeas_p
ArrayMeasColumn< MEpoch > | timeRangeMeas_p
ScalarQuantColumn< Double > | releaseDateQuant_p
ArrayQuantColumn< Double > | timeRangeQuant_p

## Detailed Description

A class to provide easy access to MSObservation columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSObservation
- ArrayColumn
- ScalarColumn

### Etymology

MSObservationColumns stands for MeasurementSet Observation Table columns.

### Synopsis

This class provides access to the columns in the MSObservation Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 78 of file MSObsColumns.h.

## Constructor & Destructor Documentation

## MSObservationColumns() [1/3]

casacore::MSObservationColumns::MSObservationColumns | ( | const MSObservation & | msObservation | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSObservationColumns(), and operator=().

## ~MSObservationColumns()

casacore::MSObservationColumns::~MSObservationColumns | ( |  | ) |

The desctructor does nothing special.

## MSObservationColumns() [2/3]

casacore::MSObservationColumns::MSObservationColumns | ( |  | ) |

protected

## MSObservationColumns() [3/3]

casacore::MSObservationColumns::MSObservationColumns | ( | const MSObservationColumns & |  | ) |

private

References MSObservationColumns().

## Member Function Documentation

## attach()

void casacore::MSObservationColumns::attach | ( | const MSObservation & | msObservation | ) |

protected

## flagRow() [1/2]

ScalarColumn< Bool > & casacore::MSObservationColumns::flagRow | ( |  | ) |

inline

Access to required columns.

Definition at line 89 of file MSObsColumns.h.

References flagRow_p.

## flagRow() [2/2]

const ScalarColumn< Bool > & casacore::MSObservationColumns::flagRow | ( |  | ) | const

inline

Const access to required columns.

Definition at line 106 of file MSObsColumns.h.

References flagRow_p.

## log() [1/2]

ArrayColumn< String > & casacore::MSObservationColumns::log | ( |  | ) |

inline

Definition at line 90 of file MSObsColumns.h.

References log_p.

## log() [2/2]

const ArrayColumn< String > & casacore::MSObservationColumns::log | ( |  | ) | const

inline

Definition at line 107 of file MSObsColumns.h.

References log_p.

## nrow()

rownr_t casacore::MSObservationColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 126 of file MSObsColumns.h.

References flagRow_p.

## observer() [1/2]

ScalarColumn< String > & casacore::MSObservationColumns::observer | ( |  | ) |

inline

Definition at line 91 of file MSObsColumns.h.

References observer_p.

## observer() [2/2]

const ScalarColumn< String > & casacore::MSObservationColumns::observer | ( |  | ) | const

inline

Definition at line 108 of file MSObsColumns.h.

References observer_p.

## operator=()

MSObservationColumns & casacore::MSObservationColumns::operator= | ( | const MSObservationColumns & |  | ) |

private

References MSObservationColumns().

## project() [1/2]

ScalarColumn< String > & casacore::MSObservationColumns::project | ( |  | ) |

inline

Definition at line 92 of file MSObsColumns.h.

References project_p.

## project() [2/2]

const ScalarColumn< String > & casacore::MSObservationColumns::project | ( |  | ) | const

inline

Definition at line 109 of file MSObsColumns.h.

References project_p.

## releaseDate() [1/2]

ScalarColumn< Double > & casacore::MSObservationColumns::releaseDate | ( |  | ) |

inline

Definition at line 93 of file MSObsColumns.h.

References releaseDate_p.

## releaseDate() [2/2]

const ScalarColumn< Double > & casacore::MSObservationColumns::releaseDate | ( |  | ) | const

inline

Definition at line 110 of file MSObsColumns.h.

References releaseDate_p.

## releaseDateMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSObservationColumns::releaseDateMeas | ( |  | ) |

inline

Definition at line 95 of file MSObsColumns.h.

References releaseDateMeas_p.

## releaseDateMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSObservationColumns::releaseDateMeas | ( |  | ) | const

inline

Definition at line 113 of file MSObsColumns.h.

References releaseDateMeas_p.

## releaseDateQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSObservationColumns::releaseDateQuant | ( |  | ) |

inline

Definition at line 94 of file MSObsColumns.h.

References releaseDateQuant_p.

## releaseDateQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSObservationColumns::releaseDateQuant | ( |  | ) | const

inline

Definition at line 111 of file MSObsColumns.h.

References releaseDateQuant_p.

## schedule() [1/2]

ArrayColumn< String > & casacore::MSObservationColumns::schedule | ( |  | ) |

inline

Definition at line 96 of file MSObsColumns.h.

References schedule_p.

## schedule() [2/2]

const ArrayColumn< String > & casacore::MSObservationColumns::schedule | ( |  | ) | const

inline

Definition at line 115 of file MSObsColumns.h.

References schedule_p.

## scheduleType() [1/2]

ScalarColumn< String > & casacore::MSObservationColumns::scheduleType | ( |  | ) |

inline

Definition at line 97 of file MSObsColumns.h.

References scheduleType_p.

## scheduleType() [2/2]

const ScalarColumn< String > & casacore::MSObservationColumns::scheduleType | ( |  | ) | const

inline

Definition at line 116 of file MSObsColumns.h.

References scheduleType_p.

## setEpochRef()

void casacore::MSObservationColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME_RANGE & RELEASE_DATE columns.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## telescopeName() [1/2]

ScalarColumn< String > & casacore::MSObservationColumns::telescopeName | ( |  | ) |

inline

Definition at line 98 of file MSObsColumns.h.

References telescopeName_p.

## telescopeName() [2/2]

const ScalarColumn< String > & casacore::MSObservationColumns::telescopeName | ( |  | ) | const

inline

Definition at line 117 of file MSObsColumns.h.

References telescopeName_p.

## timeRange() [1/2]

ArrayColumn< Double > & casacore::MSObservationColumns::timeRange | ( |  | ) |

inline

Definition at line 99 of file MSObsColumns.h.

References timeRange_p.

## timeRange() [2/2]

const ArrayColumn< Double > & casacore::MSObservationColumns::timeRange | ( |  | ) | const

inline

Definition at line 118 of file MSObsColumns.h.

References timeRange_p.

## timeRangeMeas() [1/2]

ArrayMeasColumn< MEpoch > & casacore::MSObservationColumns::timeRangeMeas | ( |  | ) |

inline

Definition at line 101 of file MSObsColumns.h.

References timeRangeMeas_p.

## timeRangeMeas() [2/2]

const ArrayMeasColumn< MEpoch > & casacore::MSObservationColumns::timeRangeMeas | ( |  | ) | const

inline

Definition at line 121 of file MSObsColumns.h.

References timeRangeMeas_p.

## timeRangeQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSObservationColumns::timeRangeQuant | ( |  | ) |

inline

Definition at line 100 of file MSObsColumns.h.

References timeRangeQuant_p.

## timeRangeQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSObservationColumns::timeRangeQuant | ( |  | ) | const

inline

Definition at line 119 of file MSObsColumns.h.

References timeRangeQuant_p.

## Member Data Documentation

## flagRow_p

ScalarColumn<Bool> casacore::MSObservationColumns::flagRow_p

private

Definition at line 154 of file MSObsColumns.h.

Referenced by flagRow(), flagRow(), and nrow().

## log_p

ArrayColumn<String> casacore::MSObservationColumns::log_p

private

Definition at line 155 of file MSObsColumns.h.

Referenced by log(), and log().

## observer_p

ScalarColumn<String> casacore::MSObservationColumns::observer_p

private

Definition at line 156 of file MSObsColumns.h.

Referenced by observer(), and observer().

## project_p

ScalarColumn<String> casacore::MSObservationColumns::project_p

private

Definition at line 157 of file MSObsColumns.h.

Referenced by project(), and project().

## releaseDate_p

ScalarColumn<Double> casacore::MSObservationColumns::releaseDate_p

private

Definition at line 158 of file MSObsColumns.h.

Referenced by releaseDate(), and releaseDate().

## releaseDateMeas_p

ScalarMeasColumn<MEpoch> casacore::MSObservationColumns::releaseDateMeas_p

private

Definition at line 165 of file MSObsColumns.h.

Referenced by releaseDateMeas(), and releaseDateMeas().

## releaseDateQuant_p

ScalarQuantColumn<Double> casacore::MSObservationColumns::releaseDateQuant_p

private

Definition at line 169 of file MSObsColumns.h.

Referenced by releaseDateQuant(), and releaseDateQuant().

## schedule_p

ArrayColumn<String> casacore::MSObservationColumns::schedule_p

private

Definition at line 159 of file MSObsColumns.h.

Referenced by schedule(), and schedule().

## scheduleType_p

ScalarColumn<String> casacore::MSObservationColumns::scheduleType_p

private

Definition at line 160 of file MSObsColumns.h.

Referenced by scheduleType(), and scheduleType().

## telescopeName_p

ScalarColumn<String> casacore::MSObservationColumns::telescopeName_p

private

Definition at line 161 of file MSObsColumns.h.

Referenced by telescopeName(), and telescopeName().

## timeRange_p

ArrayColumn<Double> casacore::MSObservationColumns::timeRange_p

private

Definition at line 162 of file MSObsColumns.h.

Referenced by timeRange(), and timeRange().

## timeRangeMeas_p

ArrayMeasColumn<MEpoch> casacore::MSObservationColumns::timeRangeMeas_p

private

Definition at line 166 of file MSObsColumns.h.

Referenced by timeRangeMeas(), and timeRangeMeas().

## timeRangeQuant_p

ArrayQuantColumn<Double> casacore::MSObservationColumns::timeRangeQuant_p

private

Definition at line 170 of file MSObsColumns.h.

Referenced by timeRangeQuant(), and timeRangeQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSObsColumns.h